Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.skype.api
Enum Account.PSTNCALLPOLICY

    java.lang.Object
      java.lang.Enum<Account.PSTNCALLPOLICY>
          com.skype.api.Account.PSTNCALLPOLICY

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Account.PSTNCALLPOLICY>

Enclosing class:
  Account

    public static enum Account.PSTNCALLPOLICY

extends java.lang.Enum<Account.PSTNCALLPOLICY>

Recognized values for the P_PSTNCALLPOLICY property that controls whether (and from whom) this account accepts incoming PSTN calls. Note that since this set of values is associated with a server-side property, you must set that property using Account.SetServersideIntProperty

Enum Constant Summary
`ALL_NUMBERS_CAN_CALL` All incoming PSTN calls are accepted.
`BUDDY_NUMBERS_CAN_CALL` Only calls from PSTN numbers found in local contact list are accepted.
`DISCLOSED_NUMBERS_CAN_CALL` Only PSTN calls that report caller ID are accepted.

Method Summary
`static Account.PSTNCALLPOLICY` | `fromString(java.lang.String s)`
`static Account.PSTNCALLPOLICY` | `get(int code)`
`int` | `getId()`
`static Account.PSTNCALLPOLICY` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Account.PSTNCALLPOLICY[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ALL_NUMBERS_CAN_CALL

    public static final Account.PSTNCALLPOLICY ALL_NUMBERS_CAN_CALL

  All incoming PSTN calls are accepted.

### DISCLOSED_NUMBERS_CAN_CALL

    public static final Account.PSTNCALLPOLICY DISCLOSED_NUMBERS_CAN_CALL

  Only PSTN calls that report caller ID are accepted.

### BUDDY_NUMBERS_CAN_CALL

    public static final Account.PSTNCALLPOLICY BUDDY_NUMBERS_CAN_CALL

  Only calls from PSTN numbers found in local contact list are accepted.

Method Detail

### values

    public static Account.PSTNCALLPOLICY[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Account.PSTNCALLPOLICY c : Account.PSTNCALLPOLICY.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Account.PSTNCALLPOLICY valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### getId

    public int getId()

### get

    public static Account.PSTNCALLPOLICY get(int code)

### fromString

    public static Account.PSTNCALLPOLICY fromString(java.lang.String s)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2010, 2011 Skype Technologies. All Rights Reserved.